# House
**Inherits:** [Store](/reference/lib--stores--store.html)
    
## Description

Stores information about the house, its rooms and entities

## Properties

| Name                                     | Type                                                                      | Default |
| ---------------------------------------- | ------------------------------------------------------------------------- | ------- |
| [align_position1](#prop-align-position1) | [Vector3](https://docs.godotengine.org/de/4.x/classes/class_vector3.html) |         |
| [align_position2](#prop-align-position2) | [Vector3](https://docs.godotengine.org/de/4.x/classes/class_vector3.html) |         |
| [entities](#prop-entities)               | [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) |         |
| [rooms](#prop-rooms)                     | [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) |         |

## Methods

| Returns                                                                   | Name                                                                                                      |
| ------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------- |
| void                                                                      | [_init](#-init) (  )                                                                                      |
| void                                                                      | [clear](#clear) (  )                                                                                      |
| [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) | [get_room](#get-room) ( name: [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) ) |





## Constants

### StoreClass = `<Object>` {#const-StoreClass}

No description provided yet.

## Property Descriptions

### align_position1: [Vector3](https://docs.godotengine.org/de/4.x/classes/class_vector3.html) {#prop-align-position1}

No description provided yet.

### align_position2: [Vector3](https://docs.godotengine.org/de/4.x/classes/class_vector3.html) {#prop-align-position2}

No description provided yet.

### entities: [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) {#prop-entities}

Type Entity id: String position: Vec3 rotation: Vec3 room: String

### rooms: [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) {#prop-rooms}

Type Room name: String corners: Vec2[] height: float

## Method Descriptions

###  _init ( ) -> void {#-init}

No description provided yet.

###  clear ( ) -> void {#clear}

No description provided yet.

###  get_room (name: [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html)  ) -> [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) {#get-room}

No description provided yet.
